<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/keyboard_height"
    tools:background="@mipmap/bg_keyboard">

    <ImageView
        android:id="@+id/back_btn"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="65dp"
        android:src="@mipmap/ic_back_btn"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fillViewport="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/back_btn">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout style="@style/setting_item_row">

                <LinearLayout
                    android:id="@+id/setting_custom_person_layout"
                    style="@style/setting_item">

                    <ImageView
                        style="@style/setting_item_icon"
                        android:src="@mipmap/ic_custom" />

                    <TextView
                        style="@style/setting_item_text"
                        android:text="@string/setting_custom_person" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/setting_market_layout"
                    style="@style/setting_item2">

                    <ImageView
                        style="@style/setting_item_icon"
                        android:src="@mipmap/ic_market" />

                    <TextView
                        style="@style/setting_item_text"
                        android:text="@string/setting_market" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                style="@style/setting_item_row2"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/back_btn">

                <LinearLayout
                    android:id="@+id/setting_unlock_vip_layout"
                    style="@style/setting_item">

                    <ImageView
                        style="@style/setting_item_icon"
                        android:src="@mipmap/ic_vip" />

                    <TextView
                        style="@style/setting_item_text"
                        android:text="@string/setting_unlock_vip" />
                </LinearLayout>

                <LinearLayout
                    style="@style/setting_item2"
                    android:visibility="invisible" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>